
Figure - Bug #118333
【IOVDEV-31145】【自动化测试】【稳定性测试】【VC1】稳定性测试，副屏黑屏（自动化台架2）
2023-05-29 14:24 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-19

Priority: Urgent Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 01.00.0100.c103

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【重启时间】：2023/5/24 18:00 ~ 5/25 09:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】

副屏正常可以操作

执行monkey稳定性测试

【实际结果】：副屏黑屏，主屏/仪表正常

【期望结果】：无黑屏、卡死、重启等严重问题

【备注】：

周六上班发现副屏黑屏

黑屏时间范围：5/27 17:00 左右

日志地址：

【VIN】：HRYTTESTVINMGM468

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

Subtasks:

Bug # 118378: 5/27 黑屏问题分析 CLOSED

  Bug # 118419: 【IOVDEV-31958】【内部】【VC1】【0100】【台架】【EE环境】【副屏】跑完mon... CLOSED

  Bug # 118539: 【IOVDEV-32733】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏下电后... CLOSED

  Bug # 118099: 【IOVDEV-29349】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏黑屏，... CLOSED

  Bug # 118569: IOVDEV-32790【内部】【VC1】【0106】【台架】【EE环境】【副屏】【touchp... CLOSED

History

#1 - 2023-05-29 14:36 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118333/log
#2 - 2023-05-29 20:53 - CD SYSTEM-夏旭

- File traces_SystemServer_WDT24_05_10_04_34.379_pid1501 added

时间段内：2023/5/24 18:00 ~ 5/25 09:30

1. 在时间段发生system_server发生了问题，具体请查看traces_SystemServer_WDT24_05_10_04_34.379_pid1501文件

#3 - 2023-05-29 21:29 - CD SYSTEM-夏旭

Hi 覃刚

 你看一下

时间段内：2023/5/24 18:00 ~ 5/25 09:30

1. 在时间段发生system_server发生了问题，具体请查看traces_SystemServer_WDT24_05_10_04_34.379_pid1501文件

#4 - 2023-05-29 21:29 - CD SYSTEM-夏旭

- Category changed from BSP to CD-FW

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

#5 - 2023-05-30 11:19 - CD FW 曹覃刚

- Category changed from CD-FW to SYSTEM

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

Hi 夏旭

1.你提到的system_server问题

traces_SystemServer_WDT24_05_10_04_34.379_pid1501

发生时间时是2023-05-24 10:03:52，与问题发生时间相差较大，应该不是造成问题的原因

原因是Audio焦点处理相关线程发生了死锁, 这个问题Audio组的同学,已在 #117821 中修复了

2.票里提到的黑屏问题，发生时间在05/27 17:00左右

周六上班发现副屏黑屏

黑屏时间范围：5/27 17:00 左右

在时间点附近没有发现surfaceflinger出现异常，且存在画面切换的操作，上层显示应该没有问题

另外在时间点附近看到了DTC_Display打印了很多异常日志，猜测可能与屏端的显示有关，请进一步确认，谢谢

----------------

----- pid 1501 at 2023-05-24 10:03:52.644576434+0800 -----

Cmd line: system_server

"main" prio=5 tid=1 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x718291e8 self=0xb400007540064380  | sysTid=1501 nice=-2 cgrp=default sched=0/0

handle=0x77033ce4f8  | state=S schedstat=( 100494183153 221792098227 1140648 ) utm=6307 stm=3742 core=0 HZ=100  | stack=0x7febe32000-0x7febe34000

stackSize=8188KB  | held mutexes=

  at com.android.server.audio.AudioService.getMode(AudioService.java:5017)

  - waiting to lock <0x08e9a3ca> (a java.lang.Object) held by thread 95
  at android.media.AudioManager.getMode(AudioManager.java:2858)

  at com.android.server.notification.NotificationManagerService.isInCall(NotificationManagerService.java:9584)

  at com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java:7463)

  at com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java:7101)

  - locked <0x0a7b6c9e> (a java.lang.Object)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at com.android.server.SystemServer.run(SystemServer.java:909)

  at com.android.server.SystemServer.main(SystemServer.java:616)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:987)

"AudioService" prio=5 tid=95 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x13f454a0 self=0xb40000754013a070  | sysTid=1801 nice=0 cgrp=default

sched=0/0 handle=0x72e38b4cb0  | state=S schedstat=( 2725503991 3068992424 36484 ) utm=146 stm=125 core=7 HZ=100  | stack=0x72e37b1000-0x72e37b3000

stackSize=1039KB  | held mutexes=

  at com.android.server.audio.PlaybackActivityMonitor.isPlaybackActiveForUid(PlaybackActivityMonitor.java:424)

  - waiting to lock <0x004acb69> (a java.lang.Object) held by thread 158

  at com.android.server.audio.AudioService$AudioHandler.handleMessage(AudioService.java:7874)

  - locked <0x08e9a3ca> (a java.lang.Object)

  at android.os.Handler.dispatchMessage(Handler.java:106)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at com.android.server.audio.AudioService$AudioSystemThread.run(AudioService.java:7531)

"Binder:1501_14" prio=5 tid=158 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x160417e8 self=0xb400007540162020  | sysTid=20907 nice=0 cgrp=default

sched=0/0 handle=0x73234c4cb0  | state=S schedstat=( 123640061396 96672619759 758987 ) utm=9164 stm=3199 core=2 HZ=100  | stack=0x73233cd000-0x73233cf000

stackSize=991KB  | held mutexes=

  at com.android.server.audio.AudioIDCMicroNegotiator$IDCMicroAudioFocusHandler.notifyFocusState(AudioIDCMicroNegotiator.java:484)

  - waiting to lock <0x07fc6093> (a java.lang.Object) held by thread 98

  at com.android.server.audio.AudioIDCMicroNegotiator$IDCMicroAudioFocusHandler.obtainFocusState(AudioIDCMicroNegotiator.java:474)

  at com.android.server.audio.AudioIDCMicroNegotiator.requestIDCMicroAudioFocus(AudioIDCMicroNegotiator.java:621)

  - locked <0x0f9449f0> (a java.lang.Object)

  at com.android.server.audio.PlaybackActivityMonitor.requestAudioFocusToIDCM(PlaybackActivityMonitor.java:1253)

  at com.android.server.audio.PlaybackActivityMonitor.playerEvent(PlaybackActivityMonitor.java:276)

  - locked <0x004acb69> (a java.lang.Object)

  at com.android.server.audio.AudioService.playerEvent(AudioService.java:10023)

  at android.media.IAudioService$Stub.onTransact(IAudioService.java:1268)

  at android.os.Binder.execTransactInternal(Binder.java:1184)

  at android.os.Binder.execTransact(Binder.java:1143)

"Thread-12" prio=5 tid=98 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x13f45c10 self=0xb400007540147ef0  | sysTid=1809 nice=0 cgrp=default

sched=0/0 handle=0x72e0596cb0  | state=S schedstat=( 330830792 368615844 2058 ) utm=20 stm=12 core=1 HZ=100  | stack=0x72e0493000-0x72e0495000

stackSize=1039KB  | held mutexes=

  at com.android.server.audio.MediaFocusControl.updateCurrentAudioFocus(MediaFocusControl.java:1309)

  - waiting to lock <0x00482233> (a java.lang.Object) held by thread 155

  at com.android.server.audio.AudioService$IDCMciroFeedback.onAudioFocusIDCMicroChanged(AudioService.java:10884)

  at com.android.server.audio.PlaybackActivityMonitor$AudioIDCMicroRequestCallback.onAudioFocusRemoteChanged(PlaybackActivityMonitor.java:1156)

  at com.android.server.audio.AudioIDCMicroNegotiator$IDCMicroAudioFocusHandler.run(AudioIDCMicroNegotiator.java:507)

  - locked <0x07fc6093> (a java.lang.Object)
"Binder:1501_1F" prio=5 tid=155 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x16041d10 self=0xb4000075401f5c30  | sysTid=29764 nice=-10

cgrp=default sched=0/0 handle=0x72ddf3ccb0  | state=S schedstat=( 147904671145 114393348631 934489 ) utm=10868 stm=3921 core=3 HZ=100  |

stack=0x72dde45000-0x72dde47000 stackSize=991KB  | held mutexes=

  at com.android.server.audio.PlaybackActivityMonitor.restoreVShapedPlayers(PlaybackActivityMonitor.java:629)

  - waiting to lock <0x004acb69> (a java.lang.Object) held by thread 158

  at com.android.server.audio.MediaFocusControl.restoreVShapedPlayers(MediaFocusControl.java:134)

  at com.android.server.audio.FocusRequester.handleFocusGainFromRequest(FocusRequester.java:364)

  at com.android.server.audio.MediaFocusControl.requestAudioFocus(MediaFocusControl.java:1048)

  - locked <0x00482233> (a java.lang.Object)

  at com.android.server.audio.AudioService.requestAudioFocus(AudioService.java:8412)

  at android.media.IAudioService$Stub.onTransact(IAudioService.java:1878)

  at android.os.Binder.execTransactInternal(Binder.java:1179)

  at android.os.Binder.execTransact(Binder.java:1143)

----------------

#6 - 2023-05-30 17:48 - CD SYSTEM-夏旭

- Category changed from SYSTEM to BSP

- Assignee changed from CD SYSTEM-夏旭 to CD BSP-杜磊

1.初步怀疑display的问题

./tlog_iov0201017500006162025411a2212290000001041_000079_0529140723/kernel/000079_kernel_00001_230529_140621.log.ing:886:05-27 17:07:08.196     0     0 E [  

13.464572] DTC_Display: Abnormal voltage: 0mV

./tlog_iov0201017500006162025411a2212290000001041_000079_0529140723/kernel/000079_kernel_00001_230529_140621.log.ing:887:05-27 17:07:08.196     0     0 E [  

13.464590] DTC_Display: screen not ready(0), bl_sta(114), lvl(0

2. 从上面的日志与发生异常的时间相相符合

#7 - 2023-05-30 20:44 - CDTS-TEST 周婷

- Assignee changed from CD BSP-杜磊 to CD FW 曹覃刚

覃刚， 请分析5/24 重启相关问题是否是surface flinger 空指针导致，此票中是2个问题，黑屏118378 进行跟踪，请查看5/24 日志

#8 - 2023-05-31 10:21 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

- Need_Info changed from -- to TEST

Hi 周婷

覃刚， 请分析5/24 重启相关问题是否是surface flinger 空指针导致，此票中是2个问题，黑屏118378 进行跟踪，请查看5/24 日志

请查看#5comment中的内容，重启的原因是Audio焦点处理相关线程发生了死锁, 这个问题Audio组的同学,已在 #117821 中修复了

本票AF组没有task需要处理，请确认
#9 - 2023-06-01 23:15 - CDTS-TEST 周婷

- Category changed from BSP to 黑屏

#10 - 2023-06-03 17:21 - CDTS-TEST 周婷

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

屏端异常，非主机端问题

#11 - 2023-06-25 11:24 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to 移动测试一组_CDTS 刘强

与子任务合并跟踪

#12 - 2023-07-11 16:20 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户验证通过，黑屏问题 目前2台 * 24h *5day 未复现该问题

验证通过，关闭此bug

#13 - 2023-07-11 16:20 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

traces_SystemServer_WDT24_05_10_04_34.379_pid1501 1.35 MB 2023-05-29 CD SYSTEM-夏旭
